#
# spec file for package python-feedgenerator
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-feedgenerator
Version:        1.9.1
Release:        bp154.1.79
Summary:        Standalone version of django.utilsfeedgenerator, compatible with Py3k
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/getpelican/feedgenerator
Source:         https://files.pythonhosted.org/packages/source/f/feedgenerator/feedgenerator-%{version}.tar.gz
Patch0:         fix_encoding_in_setup_py.patch
BuildRequires:  %{python_module pytz}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytz
Requires:       python-six
BuildArch:      noarch

%description
Feedgenerator-py3k is a standalone version of Django's feedgenerator.
It is based on the current Django Version 1.5.dev20120824122350.

%python_subpackages

%prep
%setup -q -n feedgenerator-%{version}
%autopatch -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LC_ALL=en_US.utf8
%python_exec setup.py test

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/feedgenerator-%{version}-py%{python_version}.egg-info
%{python_sitelib}/feedgenerator

%changelog
* Sun Feb  9 2020 Benoît Monin <benoit.monin@gmx.fr>
- update to version 1.9.1:
  * Remove unnecessary files from source distribution
  * Update PyPI classifiers
- remove separate license file: now included in source tarball
- add fix_encoding_in_setup_py.patch to fix build failure
* Thu Dec  6 2018 Tomáš Chvátal <tchvatal@suse.com>
- Fix fdupes call
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Sep 24 2018 Jan Engelhardt <jengelh@inai.de>
- Strip history lesson from description.
* Fri Sep 21 2018 Matěj Cepl <mcepl@suse.com>
- Fix SPEC file with spec-cleaner.
* Mon May 22 2017 benoit.monin@gmx.fr
- add missing BuildRequires: python-rpm-macros
* Sun May  7 2017 benoit.monin@gmx.fr
- convert the package to singlespec
- call fdupes to fix duplicated files
- add the missing license file
- add package documentation
- list the actual files in python_sitelib
* Mon Sep 12 2016 benoit.monin@gmx.fr
- update to version 1.9: no upstream changelog
- update project url
- update source url
- add python-pytz and python-six as BuildRequires
- run the tests
* Tue Apr  5 2016 benoit.monin@gmx.fr
- update to version 1.8: no upstream changelog
* Fri Dec 27 2013 benoit.monin@gmx.fr
- switch from distribute to setuptools
- remove useless CFLAGS="%%{optflags}"
* Tue Sep  3 2013 benoit.monin@gmx.fr
- update to feedgenerator 1.7
* Sat Jun  8 2013 benoit.monin@gmx.fr
- update to feedgenerator 1.6
* Wed Mar 27 2013 benoit.monin@gmx.fr
- initial package with version 1.5
